## gnome-control-center 3.36.1

=== meson_options.txt ===
option('cheese', type: 'boolean', value: true, description: 'build with cheese webcam support')
option('documentation', type: 'boolean', value: false, description: 'build documentation')
option('ibus', type: 'boolean', value: true, description: 'build with IBus support')
option('privileged_group', type: 'string', value: 'wheel', description: 'name of group that has elevated permissions')
option('snap', type: 'boolean', value: false, description: 'build with Snap support')
option('tests', type: 'boolean', value: true, description: 'build tests')
option('tracing', type: 'boolean', value: false, description: 'add extra debugging information')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
option('profile', type: 'combo', choices: ['default','development'], value: 'default')

=== debian/changelog ===
gnome-control-center (1:3.36.1-1ubuntu5) focal; urgency=medium

  * debian/patches/git-info-crash-on-nvidia.patch:
    - backport a fix for an info panel segfault on nvidia cards
      (lp: #1870737)
  * debian/patches/git-nongnome-segfault.patch:
    - don't segfault when started outside of GNOME (lp: #1870735)

  [ Marco Trevisan ]
  * d/p/0028-user-panel-Add-reference-to-selected-user-and-clear-.patch,
  * d/p/0029-user-panel-Don-t-wait-for-fprintd-on-initialization.patch,
    d/p/0030-fingerprint-dialog-Don-t-use-sync-calls-for-deleting.patch,
    d/p/0031-fingerprint-dialog-Don-t-limit-the-number-of-maximum.patch:
    - Don't wait for fprintd on initialization and don't limit enroll stages
      (lp: #1865845)

  [ Robert Ancell ]
  * debian/patches/0027-window-Stop-using-HdyLeaflet.patch:
    - Disable adaptive layouts, theres some bugs and they're not required on
      desktop (LP: #1871195)
  * debian/patches/0028-applications-Fix-only-connected-snap-interfaces-show.patch:
    - Fix disconnected snap interfaces not showing (LP: #1870600)
  * debian/patches/0029-applications-Use-new-snapd-glib-API-for-labelling-Sn.patch:
  * debian/control:
    - Use shared names for snap interfaces, fixing some interfaces that don't
      have labels.

  [ Gunnar Hjalmarsson ]
  * debian/patches/0030-temporarily-revert-alt-char-key.patch:
    - Revert the "Alternate Characters Key" commit temporarily awaiting
      a proper fix of LP: #1867548.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Apr 2020 12:30:37 +0200

gnome-control-center (1:3.36.1-1ubuntu4) focal; urgency=medium

  * debian/patches/0025-applications-Hide-buttons-that-launch-gnome-software.patch:
  * debian/patches/0026-applications-Launch-snap-store-if-it-is-installed.patch:
    - Launch snap-store if it is installed (LP: #1867000)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 06 Apr 2020 11:00:15 +1200

gnome-control-center (1:3.36.1-1ubuntu3) focal; urgency=medium

  * debian/patches/0001-sound-Fix-translation-of-System-Sounds.patch:
    - Fix system sounds not being translated (LP: #1870152)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 02 Apr 2020 13:47:54 +1300

gnome-control-center (1:3.36.1-1ubuntu2) focal; urgency=medium

  [ Robert Ancell ]
  * debian/patches/ubuntu-scaling-option.patch:
    - display: Allow fractional scaling to be enabled (lp: #1868019)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 31 Mar 2020 11:31:20 +0200

gnome-control-center (1:3.36.1-1ubuntu1) focal; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 10:27:03 +0100

gnome-control-center (1:3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 10:17:23 +0100

gnome-control-center (1:3.36.0-1) unstable; urgency=medium

  * New upstream release
    - Bump the build-dependencies
    - debian/patches/Revert-build-Bump-build-dependency-on-polkit.patch:
      Revert the bump of the minimal polkit version, ITS files were backported
      in earlier versions in debian

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Mar 2020 19:17:55 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-control-center
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-migrations,
               libaccountsservice-dev (>= 0.6.39),
               desktop-file-utils,
               gnome-pkg-tools (>= 0.10),
               gnome-settings-daemon-dev (>= 3.29.90.1),
               gsettings-desktop-schemas-dev (>= 3.31.0),
               gtk-doc-tools,
               libcanberra-gtk3-dev,
               libcheese-dev (>= 3.28.0),
               libcheese-gtk-dev (>= 3.5.91),
               libcolord-dev (>= 0.1.29),
               libcolord-gtk-dev (>= 0.1.24),
               libcups2-dev,
               libgdk-pixbuf2.0-dev (>= 2.23.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.56.0),
               libgnome-desktop-3-dev (>= 3.32.2-2ubuntu2),
               libgnomekbd-dev (>= 2.91.91),
               libgnome-bluetooth-dev (>= 3.18.0) [linux-any],
               libibus-1.0-dev (>= 1.5.2),
               libgoa-1.0-dev (>= 3.25.3),
               libgrilo-0.3-dev (>= 0.3.0),
               libgsound-dev,
               libgtk-3-dev (>= 3.22.20),
               libgtop2-dev,
               libgudev-1.0-dev (>= 232) [linux-any],
               libkrb5-dev,
               libnm-dev (>= 1.12.0) [linux-any],
               libnma-dev (>= 1.8.0) [linux-any],
               libmm-glib-dev [linux-any],
               libpolkit-gobject-1-dev (>= 0.103),
               libpulse-dev,
               libpwquality-dev,
               libsecret-1-dev,
               libsmbclient-dev (>= 2:3.6.12-1~),
               libsnapd-glib-dev (>= 1.57),
               libudisks2-dev,
               libupower-glib-dev (>= 0.99.8),
               libwacom-dev (>= 0.7) [linux-any],
               libwhoopsie-preferences-dev,
               libxi-dev (>= 2:1.2),
               libx11-dev,
               libxft-dev (>= 2.1.2),
               libxklavier-dev (>= 5.1),
               libxml2-dev,
               locales,
               meson (>= 0.51.0),
               policykit-1,
               shared-mime-info,
               tzdata <!nocheck>,
               xvfb,
               python3-dbusmock,
               at-spi2-core
Standards-Version: 4.5.0
Rules-Requires-Root: no
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/master

Package: gnome-control-center
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         accountsservice,
         apg,
         colord (>= 0.1.30),
#         desktop-base (>= 10.0.0),
         desktop-file-utils,
         gnome-control-center-data (<< ${gnome:NextVersion}),
         gnome-control-center-data (>= ${source:Version}),
         gnome-desktop3-data,
         gnome-settings-daemon (>= 3.29),
         gsettings-desktop-schemas (>= 3.31.0),
         language-selector-gnome (>= 0.179~),
         system-config-printer (>= 1.4),
         whoopsie-preferences,
Recommends: cups-pk-helper,
            gnome-online-accounts (>= 3.25.3),
            gnome-user-docs,
            gkbd-capplet,
            ibus,
            iso-codes,
            libcanberra-pulse,
            mousetweaks,
            policykit-1,
            network-manager-gnome (>= 0.9.8),
            cracklib-runtime,
            pulseaudio-module-bluetooth,
            gnome-control-center-faces,
            rygel | rygel-tracker,
Suggests: gnome-software | gnome-packagekit,
          gnome-user-share,
          realmd,
          gstreamer1.0-pulseaudio,
          libcanberra-gtk-module,
          libcanberra-gtk3-module,
          x11-xserver-utils
Description: utilities to configure the GNOME desktop
 This package contains configuration applets for the GNOME desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop theme and background, user
 interface properties, screen resolution, and other GNOME parameters.
 .
 It also contains a front end to these applets, which can also be
 accessed with the GNOME panel or the Nautilus file manager.

Package: gnome-control-center-faces
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: unity-control-center-faces
Replaces: unity-control-center-faces
Provides: unity-control-center-faces
Description: utilities to configure the GNOME desktop - faces images
 This package contains images that can be used for user profile's icon

Package: gnome-control-center-dev
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
         gnome-control-center-data
Description: utilities to configure the GNOME desktop
 This package contains the file required to get the keydirs location

Package: gnome-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gnome-control-center (<< 1:3.7.92-2~)
Replaces: gnome-control-center (<< 1:3.7.92-2~)
Description: configuration applets for GNOME - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the gnome-control-center package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,migrations

# -Dgnome_session_libexecdir can be removed after Bullseye release
override_dh_auto_configure:
	dh_auto_configure -- \
		-Dprivileged_group=sudo \
		-Dgnome_session_libexecdir=/usr/lib/gnome-session \
		-Ddocumentation=true \
		-Dsnap=true \
		-Dwhoopsie=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_translations:
	dh_translations --domain=gnome-control-center-2.0

## gnome-control-center 3.36.2pearl9

=== debian/changelog ===
gnome-control-center (1:3.36.2pearl9) qanon+; urgency=medium

  * Changed branding from Ubuntu to Pearl

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sun, 05 Apr 2020 01:43:51 -0500

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
                libpwquality-dev,
                libsecret-1-dev,
                libsmbclient-dev (>= 2:3.6.12-1~),
-               libsnapd-glib-dev (>= 1.57),
+               libsnapd-glib-dev (>= 1.42),
                libudisks2-dev,
                libupower-glib-dev (>= 0.99.8),
                libwacom-dev (>= 0.7) [linux-any],
@@ -64,10 +64,6 @@
                at-spi2-core
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/master
 
 Package: gnome-control-center
 Architecture: any
@@ -98,6 +94,7 @@
             network-manager-gnome (>= 0.9.8),
             cracklib-runtime,
             pulseaudio-module-bluetooth,
+            pearl-system-service,
             gnome-control-center-faces,
             rygel | rygel-tracker,
 Suggests: gnome-software | gnome-packagekit,

## gnome-control-center 3.36.4

=== debian/changelog ===
gnome-control-center (1:3.36.4-0ubuntu2) focal; urgency=medium

  * debian/patches/git_useraccount_segfault.patch:
    - don't segfault trying to get the user initials when accountsservice
      is not responding (lp: #1873378)
  * debian/patches/git_row_collide.patch:
    - backport a fix for items of the connection details colliding
      (lp: #1873184)

  [ Hui Wang ]
  * d/p/0033-sound-update-the-profile-list-after-getting-the-sign.patch
    - signal to update profile combo list after the PA changes the
      active profile, this patch fixes the empty profile combo list issue
      after selecting the hdmi/dp audio in the g-c-c. (LP: #1896919)

  [ Marco Trevisan (Treviño) ]
  * d/p/0008-Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - Don't try to fetch monitors if the config manager is not ready yet
    (lp: #1887731)
  * d/p/0019-display-Support-UI-scaled-logical-monitor-mode.patch,
    d/p/0024-display-Allow-fractional-scaling-to-be-enabled.patch:
    - Don't disable fractional scaling immediately on integer changes
    (lp: #1887707)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Sep 2020 17:03:01 +0200

gnome-control-center (1:3.36.4-0ubuntu1) focal; urgency=medium

  [ Hui Wang ]
  * debian/patches/gitlab_ucm_mixer_control_select.patch:
    - consolidate port finding and setting with/without ucm (lp: #1885673)

  [ Marco Trevisan (Treviño) ]
  * New stable version (lp: #1886495)
  * Refresh patches:
    - d/p/0028-user-panel-Add-reference-to-selected-user-and-clear-.patch,
      d/p/0029-user-panel-Don-t-wait-for-fprintd-on-initialization.patch,
      d/p/0030-fingerprint-dialog-Don-t-use-sync-calls-for-deleting.patch,
      d/p/0031-fingerprint-dialog-Don-t-limit-the-number-of-maximum.patch,
      d/p/git-sound-profile.patch:
      + Removed, applied upstream
    - d/p/Revert-build-Bump-build-dependency-on-polkit.patch:
      + Removed, was a duplicated file for patch 0021.
  * user-accounts: Use newly designed fingerprint enroll dialog (LP: #1873298)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jul 2020 17:03:08 +0200

gnome-control-center (1:3.36.3-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1884063)

  [ Gunnar Hjalmarsson ]
  * debian/patches/0030-temporarily-revert-alt-char-key.patch:
    - Change po/POTFILES.in too, so dh_translations can create
      gnome-control-center-2.0.pot.

  [ Marco Trevisan (Treviño) ]
  * d/p/0008-Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - Ensure dock position is respected in RTL (LP: #1876937)
    - Add proper matching the dock monitor ID (LP: #1877108)
  * d/p/0024-display-Allow-fractional-scaling-to-be-enabled.patch:
    - Improve fractional scaling toggling (LP: #1876891, #1876894)
    - Look for proper fractional scaling key in Wayland and X11 (LP: #1871864)
  * d/p/0031-fingerprint-dialog-Don-t-limit-the-number-of-maximum.patch:
    - Don't make flowbox children selectable (LP: #1877441)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 23 Jun 2020 17:50:27 +0200

gnome-control-center (1:3.36.2-0ubuntu1) focal; urgency=medium

  * New upstream version rebased on Debian (lp: #1876256)
  * debian/patches/0001-sound-Fix-translation-of-System-Sounds.patch,
    debian/patches/0028-applications-Fix-only-connected-snap-interfaces-show.patch,
    debian/patches/git-info-crash-on-nvidia.patch:
    - removed, included in the new version

  [ Marco Trevisan ]
  * debian/patches/0008-Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - disable dock in all monitors when choosing a specific one (lp: #1866088)
    - Ignore inactive monitors (lp: #1873890)
    - Show shell labels when using appearance panel (lp: #1873883)

  [ Olivier Tilloy ]
  * d/p/0032-online-accounts-maybe-leak-a-reference-to-the-panel.patch:
    maybe leak a reference to the panel, to prevent a crash (LP: #1862553)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 May 2020 09:10:17 +0200

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
                libpwquality-dev,
                libsecret-1-dev,
                libsmbclient-dev (>= 2:3.6.12-1~),
-               libsnapd-glib-dev (>= 1.42),
+               libsnapd-glib-dev (>= 1.57),
                libudisks2-dev,
                libupower-glib-dev (>= 0.99.8),
                libwacom-dev (>= 0.7) [linux-any],
@@ -64,6 +64,10 @@
                at-spi2-core
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/focal
 
 Package: gnome-control-center
 Architecture: any
@@ -94,7 +98,6 @@
             network-manager-gnome (>= 0.9.8),
             cracklib-runtime,
             pulseaudio-module-bluetooth,
-            pearl-system-service,
             gnome-control-center-faces,
             rygel | rygel-tracker,
 Suggests: gnome-software | gnome-packagekit,

## gnome-control-center 3.36.5

=== debian/changelog ===
gnome-control-center (1:3.36.5-0ubuntu4.1) focal-security; urgency=medium

  * SECURITY UPDATE: SSH remote access status not displayed correctly
    (LP: #2039577)
    - d/p/CVE-2023-5616.patch: Check the status of both the sshd service and
      socket since either could be in use. Also when enabling remote access,
      enable this via the socket rather than the service.
    - debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    - CVE-2023-5616

 -- Alex Murray <alex.murray@canonical.com>  Mon, 11 Dec 2023 16:58:23 +1030

gnome-control-center (1:3.36.5-0ubuntu4) focal; urgency=medium

  * d/p/0001-display-Try-harder-to-select-a-good-and-working-scal.patch
    display: Try harder to select a good and working scale (LP: #1969428)

 -- Andy Chi <andy.chi@canonical.com>  Tue, 19 Apr 2022 21:36:59 +0200

gnome-control-center (1:3.36.5-0ubuntu3) focal; urgency=medium

  * d/p/git-Fix-volume-adjustment-failure-on-volume-slider.patch
    Can't adjust the output volume via volume-slider after changing
    the current output-device. (LP: #1938747)

 -- Hui Wang <hui.wang@canonical.com>  Tue, 03 Aug 2021 16:53:47 +0800

gnome-control-center (1:3.36.5-0ubuntu2) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * git-user-accounts-Use-newly-designed-fingerprint-enroll-dialo.patch:
    Correctly handle errors on fingerprint enroll dialog (LP: #1915174)

  [ Brian Murray ]
  * 0016-diagnostics-Add-Whoopsie-support.patch: ensure that we always perform
    the call to automatically report crashes so that it will be turned off if
    "never" is chosen. (LP: #1906877)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Apr 2021 16:01:31 +0200

gnome-control-center (1:3.36.5-0ubuntu1) focal; urgency=medium

  * New upstream release (lp: #1905740)
  * debian/patches/git_useraccount_segfault.patch,
    debian/patches/git_row_collide.patch,
    debian/patches/0033-sound-update-the-profile-list-after-getting-the-sign.patch:
    - removed, included in the new version
  * debian/patches/revert_vino_deprecated.patch:
    - revert the upstream change to remove the vino control option, it's
      still working in Ubuntu because we reverted the g-s-d commit
      which deprecated the backend handling

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Nov 2020 13:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-migrations,
                libaccountsservice-dev (>= 0.6.39),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
+export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[24680])/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## gnome-control-center 3.36.9~pearl9

=== meson_options.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 option('tracing', type: 'boolean', value: false, description: 'add extra debugging information')
 option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
 option('profile', type: 'combo', choices: ['default','development'], value: 'default')
+option('whoopsie', type: 'boolean', value: false, description: 'build with Whoopsie support')

=== debian/changelog ===
gnome-control-center (1:3.36.9~pearl9) qanon+; urgency=medium

  * reversioning

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Thu, 23 Jul 2020 12:38:52 -0500

## gnome-control-center 3.38.1

=== debian/changelog ===
gnome-control-center (1:3.38.1-1ubuntu1) groovy; urgency=medium

  * New upstream version based on Debian
  * d/p/0033-sound-update-the-profile-list-after-getting-the-sign.patch:
    - removed, the change is in the new version
  * Build without malcontent which is in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 15:20:23 +0200

gnome-control-center (1:3.38.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - remove deprecated -Dgnome_session_libexecdir

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 15:07:48 +0200

gnome-control-center (1:3.38.0-2) unstable; urgency=medium

  * Team upload
  * Revert "d/watch: Watch for development releases"
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:27:01 +0100

gnome-control-center (1:3.38.0-1ubuntu2) groovy; urgency=medium

  * d/p/0033-sound-update-the-profile-list-after-getting-the-sign.patch
    - signal to update profile combo list after the PA changes the
      active profile, this patch fixes the empty profile combo list issue
      after selecting the hdmi/dp audio in the g-c-c. (LP: #1896919)

 -- Hui Wang <hui.wang@canonical.com>  Thu, 24 Sep 2020 09:54:10 +0000

gnome-control-center (1:3.38.0-1ubuntu1) groovy; urgency=medium

  * New upstream version based on Debian
  * debian/patches/gitlab_details_layout.patch:
    - removed, the change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 15:05:08 +0200

gnome-control-center (1:3.38.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 15:01:27 +0200

gnome-control-center (1:3.37.92-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development releases
  * New upstream release
    - Updated translations
    - Show screen orientation setting even when accelerometer is present
    - Wacom: group pad/stylus devices together with the group name
  * Update libhandy dependency
  * d/copyright: Update
  * Add Breaks on gnome-shell (<< 3.37.92).
    gnome-control-center now talks to the Mutter DisplayConfig interface
    to get the screen orientation, and that's new in libmutter 3.37.92.
    gnome-shell 3.37.92 is the first version to guarantee to be linked
    to that version of libmutter.
  * Depend on gnome-settings-daemon 3.37.x.
    The core components of the GNOME desktop should be upgraded as a group,
    and mismatched combinations will not have been tested in practice.

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 18:24:55 +0100²

gnome-control-center (1:3.37.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on libhandy-1-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 18 Aug 2020 16:08:27 +0200

gnome-control-center (1:3.37.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gsettings-desktop-schemas requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Aug 2020 17:36:45 +0200

gnome-control-center (1:3.36.4-1) unstable; urgency=medium

  * New upstream release (lp: #1886495)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 06 Jul 2020 16:47:10 +0200

gnome-control-center (1:3.36.3-1ubuntu2) groovy; urgency=medium

  * debian/patches/git-sound-profile.patch:
    - sound: Stop non-interactive profile changes from triggering
      changed events, fix selection issues (lp: #1885673)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Jul 2020 11:01:31 +0200

gnome-control-center (1:3.36.3-1ubuntu1) groovy; urgency=medium

  * New upstream version rebased on Debian (lp: #1884063)

  [ Gunnar Hjalmarsson ]
  * debian/patches/0030-temporarily-revert-alt-char-key.patch:
    - Change po/POTFILES.in too, so dh_translations can create
      gnome-control-center-2.0.pot.
  * d/p/0015-connectivity-add-network-connectivity-checking-toggl.patch:
    - Add "privacy" to Keywords in the .desktop file in line with
      https://gitlab.gnome.org/GNOME/gnome-control-center/-/commit/05f3cb67
      (LP: #1869288)

  [ Marco Trevisan (Treviño) ]
  * d/p/0008-Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - Ensure dock position is respected in RTL (LP: #1876937)
    - Add proper matching the dock monitor ID (LP: #1877108)
  * d/p/0024-display-Allow-fractional-scaling-to-be-enabled.patch:
    - Improve fractional scaling toggling (LP: #1876891, #1876894)
    - Look for proper fractional scaling key in Wayland and X11 (LP: #1871864)
  * d/p/0031-fingerprint-dialog-Don-t-limit-the-number-of-maximum.patch:
    - Don't make flowbox children selectable (LP: #1877441)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Jun 2020 13:44:56 +0200

gnome-control-center (1:3.36.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Jun 2020 13:38:15 +0200

gnome-control-center (1:3.36.2-1ubuntu1) groovy; urgency=medium

  * New upstream version rebased on Debian (lp: #1876256)
  * debian/patches/0001-sound-Fix-translation-of-System-Sounds.patch,
    debian/patches/0028-applications-Fix-only-connected-snap-interfaces-show.patch,
    debian/patches/git-info-crash-on-nvidia.patch,
    debian/patches/git-nongnome-segfault.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 May 2020 09:10:17 +0200

gnome-control-center (1:3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 May 2020 09:02:41 +0200

gnome-control-center (1:3.36.1-1ubuntu6) groovy; urgency=medium

  [ Marco Trevisan ]
  * debian/patches/0008-Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - disable dock in all monitors when choosing a specific one (lp: #1866088)
    - Ignore inactive monitors (lp: #1873890)
    - Show shell labels when using appearance panel (lp: #1873883)

  [ Olivier Tilloy ]


## gnome-control-center 3.38.3

=== debian/changelog ===
gnome-control-center (1:3.38.3-0ubuntu1) groovy; urgency=medium

  * New stable version (lp: #1911918)
  * debian/patches/gitlab_ucm_mixer_control_select.patch:
    - removed, the change is in the new version
  * debian/patches/0016-diagnostics-Add-Whoopsie-support.patch:
    - correct set and reflect the autoreport configuration (lp: #1906877)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Jan 2021 16:09:17 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
                gnome-settings-daemon-dev (>= 3.29.90.1),
-               gsettings-desktop-schemas-dev (>= 3.31.0),
+               gsettings-desktop-schemas-dev (>= 3.37.1),
                gtk-doc-tools,
                libcanberra-gtk3-dev,
                libcheese-dev (>= 3.28.0),
@@ -35,6 +35,7 @@
                libgtk-3-dev (>= 3.22.20),
                libgtop2-dev,
                libgudev-1.0-dev (>= 232) [linux-any],
+               libhandy-1-dev (>= 0.90),
                libkrb5-dev,
                libnm-dev (>= 1.12.0) [linux-any],
                libnma-dev (>= 1.8.0) [linux-any],
@@ -66,8 +67,8 @@
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/focal
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/master
 
 Package: gnome-control-center
 Architecture: any
@@ -81,8 +82,8 @@
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
          gnome-desktop3-data,
-         gnome-settings-daemon (>= 3.29),
-         gsettings-desktop-schemas (>= 3.31.0),
+         gnome-settings-daemon (>= 3.37),
+         gsettings-desktop-schemas (>= 3.37.1),
          language-selector-gnome (>= 0.179~),
          system-config-printer (>= 1.4),
          whoopsie-preferences,
@@ -93,7 +94,6 @@
             ibus,
             iso-codes,
             libcanberra-pulse,
-            mousetweaks,
             policykit-1,
             network-manager-gnome (>= 0.9.8),
             cracklib-runtime,
@@ -107,6 +107,7 @@
           libcanberra-gtk-module,
           libcanberra-gtk3-module,
           x11-xserver-utils
+Breaks: gnome-shell (<< 3.37.92)
 Description: utilities to configure the GNOME desktop
  This package contains configuration applets for the GNOME desktop,
  allowing to set accessibility configuration, desktop fonts, keyboard

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
+export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
@@ -11,7 +11,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dprivileged_group=sudo \
-		-Dgnome_session_libexecdir=/usr/lib/gnome-session \
 		-Ddocumentation=true \
 		-Dsnap=true \
 		-Dwhoopsie=true

## gnome-control-center 3.38.4

=== debian/changelog ===
gnome-control-center (1:3.38.4-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Feb 2021 11:59:19 +0100

gnome-control-center (1:3.38.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use upstream/3.38.x branch for packaging
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jan 2021 09:34:04 +0000

gnome-control-center (1:3.38.2-2) unstable; urgency=medium

  * debian/control.in: Explicitly add libgoa-backend-1.0-dev to the BD
  * debian/control.in: Explicitly add libsoup2.4-dev to the BD

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Dec 2020 10:16:26 +0100

gnome-control-center (1:3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Applications: Fix a NULL pointer dereference
    - Keyboard: Fix an assertion failure
    - Network: Correctly detect when Ethernet devices are hotplugged
    - Printers: Fix memory leaks
    - Printers: Reduce panel's minimum width
    - Sharing: When disabling Tracker, also disable Tracker 3
    - Sound: Update libgvc to support UCM in recent ALSA and PulseAudio
    - Users: Avoid freeing a const string
    - Wacom: Fix a critical warning if loading a cursor fails
  * Bump libpulse-dev dependency according to meson.build
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Nov 2020 10:14:09 +0000

gnome-control-center (1:3.34.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Wrap long lines in changelog entries: 1:2.4.0-7, 1:2.4.0-2,
    1:2.2.2-2, 1:2.2.0-1, 1.0.51-1
  * Set field Upstream-Name in debian/copyright
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Move to debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Feb 2020 23:04:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 Source: gnome-control-center
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-migrations,
                libaccountsservice-dev (>= 0.6.39),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
@@ -22,7 +20,7 @@
                libcolord-dev (>= 0.1.29),
                libcolord-gtk-dev (>= 0.1.24),
                libcups2-dev,
-               libgdk-pixbuf2.0-dev (>= 2.23.0),
+               libgdk-pixbuf-2.0-dev (>= 2.23.0) | libgdk-pixbuf2.0-dev (>= 2.23.0),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56.0),
                libgnome-desktop-3-dev (>= 3.32.2-2ubuntu2),
@@ -30,6 +28,7 @@
                libgnome-bluetooth-dev (>= 3.18.0) [linux-any],
                libibus-1.0-dev (>= 1.5.2),
                libgoa-1.0-dev (>= 3.25.3),
+               libgoa-backend-1.0-dev (>= 3.25.3),
                libgrilo-0.3-dev (>= 0.3.0),
                libgsound-dev,
                libgtk-3-dev (>= 3.22.20),
@@ -39,17 +38,17 @@
                libkrb5-dev,
                libnm-dev (>= 1.12.0) [linux-any],
                libnma-dev (>= 1.8.0) [linux-any],
+               libmalcontent-0-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libmm-glib-dev [linux-any],
                libpolkit-gobject-1-dev (>= 0.103),
-               libpulse-dev,
+               libpulse-dev (>= 13.0~),
                libpwquality-dev,
                libsecret-1-dev,
                libsmbclient-dev (>= 2:3.6.12-1~),
-               libsnapd-glib-dev (>= 1.57),
+               libsoup2.4-dev,
                libudisks2-dev,
                libupower-glib-dev (>= 0.99.8),
                libwacom-dev (>= 0.7) [linux-any],
-               libwhoopsie-preferences-dev,
                libxi-dev (>= 2:1.2),
                libx11-dev,
                libxft-dev (>= 2.1.2),
@@ -63,12 +62,10 @@
                xvfb,
                python3-dbusmock,
                at-spi2-core
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
 
 Package: gnome-control-center
 Architecture: any
@@ -77,32 +74,30 @@
          accountsservice,
          apg,
          colord (>= 0.1.30),
-#         desktop-base (>= 10.0.0),
+         desktop-base (>= 10.0.0),
          desktop-file-utils,
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
          gnome-desktop3-data,
          gnome-settings-daemon (>= 3.37),
          gsettings-desktop-schemas (>= 3.37.1),
-         language-selector-gnome (>= 0.179~),
-         system-config-printer (>= 1.4),
-         whoopsie-preferences,
 Recommends: cups-pk-helper,
             gnome-online-accounts (>= 3.25.3),
             gnome-user-docs,
+            gnome-user-share,
             gkbd-capplet,
-            ibus,
             iso-codes,
             libcanberra-pulse,
             policykit-1,
+            rygel | rygel-tracker,
+            system-config-printer-common (>= 1.4),
+            malcontent-gui [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
             network-manager-gnome (>= 0.9.8),
+            libnss-myhostname,
             cracklib-runtime,
             pulseaudio-module-bluetooth,
-            gnome-control-center-faces,
-            rygel | rygel-tracker,
+            realmd
 Suggests: gnome-software | gnome-packagekit,
-          gnome-user-share,
-          realmd,
           gstreamer1.0-pulseaudio,
           libcanberra-gtk-module,
           libcanberra-gtk3-module,
@@ -116,16 +111,6 @@
  .
  It also contains a front end to these applets, which can also be
  accessed with the GNOME panel or the Nautilus file manager.
-
-Package: gnome-control-center-faces
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Conflicts: unity-control-center-faces
-Replaces: unity-control-center-faces
-Provides: unity-control-center-faces
-Description: utilities to configure the GNOME desktop - faces images
- This package contains images that can be used for user profile's icon
 
 Package: gnome-control-center-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
MALCONTENT := -Dmalcontent=true
else
MALCONTENT := -Dmalcontent=false
endif

%:
	dh $@ --with gnome

# -Dgnome_session_libexecdir can be removed after Bullseye release
override_dh_auto_configure:
	dh_auto_configure -- \
		-Dprivileged_group=sudo \
		-Ddocumentation=true \
		$(MALCONTENT)

override_dh_missing:
	dh_missing --fail-missing

## gnome-control-center 3.38.5

=== debian/changelog ===
gnome-control-center (1:3.38.5-1ubuntu2) hirsute; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control, debian/gbp.conf:
    Update references to ubuntu/hirsute branch
  * 0033-display-Ensure-we-list-available-scaling-values-keeping-t.patch:
    Ensure we list all the usable scaling values (LP: #1795483)

  [ Hui Wang ]
  * d/p/git-Fix-volume-adjustment-failure-on-volume-slider.patch:
    Can't adjust the output volume via volume-slider after changing
    the current output-device. (LP: #1938747)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 03 Aug 2021 15:23:41 +0200

gnome-control-center (1:3.38.5-1ubuntu1) hirsute; urgency=medium

  * New bugfix update based on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 08:54:54 +0100

gnome-control-center (1:3.38.5-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 08:46:50 +0100

gnome-control-center (1:3.38.4-1ubuntu2) hirsute; urgency=medium

  * debian/control.in:
    - Recommends power-profiles-daemon
  * debian/patches/git_power_profiles.patch:
    - power: Add "Power Mode" sectionn. Use power-profiles-daemon
      to implement switchable power profiles. The performance profile will
      only be available on systems which provide this functionality.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Feb 2021 20:59:56 +0100

gnome-control-center (1:3.38.4-1ubuntu1) hirsute; urgency=medium

  * New upstream version based on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Feb 2021 12:25:12 +0100

gnome-control-center (1:3.38.3-1ubuntu3) hirsute; urgency=medium

  * d/p/0024-display-Allow-fractional-scaling-to-be-enabled.patch:
    - Support kms renderer in fractional scaling toggle (LP: #1894593)
    - Change logical layout mode when switching mode in wayland

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Feb 2021 13:43:55 +0100

gnome-control-center (1:3.38.3-1ubuntu2) hirsute; urgency=medium

  * debian/patches/ubuntu_restore_sharing.patch:
    - remove the patch bringing back the vino desktop sharing since
      gnome-remote-desktop support is enabled in Ubuntu now
  * debian/patches/git_fingerprint_improvements.patch:
    - backport fingerprint improvements made by Treviño
  * Remove user config migration script which was needed until focal

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Feb 2021 11:31:06 +0100

gnome-control-center (1:3.38.3-1ubuntu1) hirsute; urgency=medium

  * New upstream version based on Debian (lp: #1911918)
  * debian/patches/0016-diagnostics-Add-Whoopsie-support.patch:
    - display the whoopsie status to 'autoreport' if the corresponding key
      is set to true even if report=false (see lp #1906877)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Jan 2021 15:10:51 +0100

gnome-control-center (1:3.38.2-1ubuntu2) hirsute; urgency=medium

  [ Brian Murray ]
  * 0016-diagnostics-Add-Whoopsie-support.patch: ensure that we always perform
    the call to automatically report crashes so that it will be turned off if
    "never" is chosen. (LP: #1906877)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Dec 2020 18:56:07 +0100

gnome-control-center (1:3.38.2-1ubuntu1) hirsute; urgency=medium

  * New upstream version based on Debian
  * debian/patches/gitlab_ucm_mixer_control_select.patch:
    - remove change included in the new version

 -- Sebastien Bacher <seb128@debian.org>  Mon, 23 Nov 2020 21:03:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-control-center
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libaccountsservice-dev (>= 0.6.39),
@@ -38,17 +39,18 @@
                libkrb5-dev,
                libnm-dev (>= 1.12.0) [linux-any],
                libnma-dev (>= 1.8.0) [linux-any],
-               libmalcontent-0-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libmm-glib-dev [linux-any],
                libpolkit-gobject-1-dev (>= 0.103),
                libpulse-dev (>= 13.0~),
                libpwquality-dev,
                libsecret-1-dev,
                libsmbclient-dev (>= 2:3.6.12-1~),
+               libsnapd-glib-dev (>= 1.57),
                libsoup2.4-dev,
                libudisks2-dev,
                libupower-glib-dev (>= 0.99.8),
                libwacom-dev (>= 0.7) [linux-any],
+               libwhoopsie-preferences-dev,
                libxi-dev (>= 2:1.2),
                libx11-dev,
                libxft-dev (>= 2.1.2),
@@ -64,8 +66,10 @@
                at-spi2-core
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/hirsute
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/hirsute
 
 Package: gnome-control-center
 Architecture: any
@@ -74,30 +78,33 @@
          accountsservice,
          apg,
          colord (>= 0.1.30),
-         desktop-base (>= 10.0.0),
+#         desktop-base (>= 10.0.0),
          desktop-file-utils,
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
          gnome-desktop3-data,
          gnome-settings-daemon (>= 3.37),
          gsettings-desktop-schemas (>= 3.37.1),
+         language-selector-gnome (>= 0.179~),
+         system-config-printer (>= 1.4),
+         whoopsie-preferences,
 Recommends: cups-pk-helper,
             gnome-online-accounts (>= 3.25.3),
             gnome-user-docs,
-            gnome-user-share,
             gkbd-capplet,
+            ibus,
             iso-codes,
             libcanberra-pulse,
             policykit-1,
-            rygel | rygel-tracker,
-            system-config-printer-common (>= 1.4),
-            malcontent-gui [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
             network-manager-gnome (>= 0.9.8),
-            libnss-myhostname,
             cracklib-runtime,
             pulseaudio-module-bluetooth,
-            realmd
+            power-profiles-daemon,
+            gnome-control-center-faces,
+            rygel | rygel-tracker,
 Suggests: gnome-software | gnome-packagekit,
+          gnome-user-share,
+          realmd,
           gstreamer1.0-pulseaudio,
           libcanberra-gtk-module,
           libcanberra-gtk3-module,
@@ -111,6 +118,16 @@
  .
  It also contains a front end to these applets, which can also be
  accessed with the GNOME panel or the Nautilus file manager.
+
+Package: gnome-control-center-faces
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Conflicts: unity-control-center-faces
+Replaces: unity-control-center-faces
+Provides: unity-control-center-faces
+Description: utilities to configure the GNOME desktop - faces images
+ This package contains images that can be used for user profile's icon
 
 Package: gnome-control-center-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

# -Dgnome_session_libexecdir can be removed after Bullseye release
override_dh_auto_configure:
	dh_auto_configure -- \
		-Dprivileged_group=sudo \
		-Ddocumentation=true \
		-Dsnap=true \
		-Dwhoopsie=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_translations:
	dh_translations --domain=gnome-control-center-2.0
